#!/usr/bin/perl
# cleans up a fasta file,
# i.e. removes all unnecessary line breaks to ensure
# all sequences are one-line only
# for easy partitioning of the file

open (FH, $ARGV [0]);

$firstLine = 1;

while (<FH>) {

 $aLine = $_;
 chomp ($aLine);

 if ($aLine =~ /^>/) {

  if ($firstLine == 1) {

   $firstLine = 0;

   print "$aLine\n";

  }

  else {

   print "\n$aLine\n";

  }

 }

 else {

  print "$aLine";

 }

}

close (FH);

print "\n";